Skip to main content
POST
/
key-stores
/
{storeId}
/
clone
/
output
Submit Clone Output
curl --request POST \
  --url https://api.dfns.io/key-stores/{storeId}/clone/output \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --header 'X-DFNS-USERACTION: <api-key>' \
  --form 'data={
  "fileChecksum": "<string>",
  "outputJson": {
    "type": "fleet-output",
    "version": 1,
    "status": "success",
    "org_id": "<string>",
    "fleet_id": "<string>",
    "fleet_label": "<string>",
    "keystore_id": "<string>",
    "group_id": "<string>",
    "online_domain": "<string>",
    "outputs": {},
    "governance": {}
  }
}' \
  --form file='@example-file'
{
  "message": "<string>"
}

Authentication

✅ Organization User (CustomerEmployee)
❌ Delegated User (EndUser)
✅ Service Account

Required Permissions

KeyStores:Fleets:Clone: Always required.

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

X-DFNS-USERACTION
string
header
required

User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows

Path Parameters

storeId
string
required
Minimum string length: 1

Body

multipart/form-data
data
object
required
file
file
required

Response

200 - application/json

Success

message
string
required
Last modified on July 2, 2026